package main

import (
	"go.uber.org/fx"
	"sneak.berlin/go/directory/internal/config"
	"sneak.berlin/go/directory/internal/database"
	"sneak.berlin/go/directory/internal/globals"
	"sneak.berlin/go/directory/internal/importer"
	"sneak.berlin/go/directory/internal/logger"
)

var (
	Appname   string = "importer"
	Version   string
	Buildarch string
)

func main() {
	globals.Appname = Appname
	globals.Version = Version
	globals.Buildarch = Buildarch

	fx.New(
		fx.Provide(
			config.New,
			database.New,
			globals.New,
			logger.New,
			importer.New,
		),
		fx.Invoke(func(*importer.Importer) {}),
	).Run()
}
